TAIL(1)

NAZWA
tail - wypisuje końcową część plików

SKŁADNIA
tail [OPCJA]... [PLIK]...

OPIS

Wypisuje ostatnie 10 wierszy każdego PLIKU na standardowe wyjście. W przypadku podania więcej niż jednego PLIKU, poprzedza każdą część nagłówkiem z nazwą pliku.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-c, --bytes=[+]LICZBA
    wypisuje końcowe LICZBA bajtów; można również użyć -c +LICZBA, aby wypisać końcowe bajty zaczynając od bajtu numer LICZBA każdego pliku

-f, --follow[={name|descriptor}]
    wypisuje dodane dane w miarę rośnięcia pliku;

    przy braku argumentu opcji domyślna wartość to descriptor

-F  równoważne --follow=name --retry

-n, --lines=[+]LICZBA
    wypisuje ostatnie LICZBA wierszy zamiast domyślnych 10; można również użyć -n +LICZBA, aby pominąć LICZBA-1 początkowych wierszy

--max-unchanged-stats=N
    z opcją --follow=name, otwiera ponownie PLIK, który nie

    zmienił rozmiaru po N (domyślnie 5) iteracjach, aby sprawdzić, czy nie został usunięty lub przemianowany (co zdarza się często w przypadku rotacji logów). Z inotify ta opcja z reguły nie jest przydatna.

--pid=PID
    z opcją -f, przerywa po zakończeniu procesu od danym identyfikatorze PID

-q, --quiet, --silent
    nigdy nie wypisuje nagłówków z nazwami plików

--retry
    próbuje wciąż otwierać plik który jest niedostępny

-s, --sleep-interval=N
    z opcją -f, czeka około N sekund (domyślnie 1.0) pomiędzy kolejnymi iteracjami. Z inotify i --pid=P, sprawdza proces P przynajmniej raz, co N sekund.

-v, --verbose
    zawsze wyświetla nagłówki z nazwami plików

-z, --zero-terminated
    kończy wiersze bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

LICZBA może być posiadać jeden z następujących przyrostków: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024, itd. dla T, P, E, Z, Y, R, Q. Można używać również przyrostków binarnych, np. KiB=K, MiB=M itd.

Z opcją --follow (-f) tail domyślnie podąża za deskryptorem pliku co oznacza, że nawet gdy dany plik zostanie przemianowany, tail wciąż będzie śledził jego koniec. Domyślne zachowanie jest niepożądane, gdy śledzona ma być faktyczna nazwa pliku, a nie jego deskryptor (np. plik logu, który podlega rotacji). Proszę użyć w takim wypadku opcji --follow=name. Efektem będzie śledzenie przez taila nazwy pliku w sposób uwzględniający zmianę nazwy, usuwanie i tworzenie pliku.

AUTOR
Napisane przez Paula Rubina, Davida MacKenzie, Iana Lance Taylora i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
head(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/tail>
lub lokalnie, za pomocą info '(coreutils) tail invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.